unit demomain;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  Shortcts, StdCtrls, ExtCtrls;

type
  TForm1 = class(TForm)
    ShortCut: TShortCut;
    Memo1: TMemo;
    edtDescription: TEdit;
    Label1: TLabel;
    edtPath: TEdit;
    Label2: TLabel;
    edtArguments: TEdit;
    Label3: TLabel;
    btnLoad: TButton;
    btnSave: TButton;
    edtWorkingDir: TEdit;
    Label4: TLabel;
    ODlg: TOpenDialog;
    SDlg: TSaveDialog;
    imgIcon: TImage;
    Label5: TLabel;
    procedure btnLoadClick(Sender: TObject);
    procedure ShortCutChanged(Sender: TObject);
    procedure FormCreate(Sender: TObject);
    procedure btnSaveClick(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  Form1: TForm1;

implementation
uses ShlObj;

{$R *.DFM}

procedure TForm1.btnLoadClick(Sender: TObject);
begin
  if ODlg.execute then
     Shortcut.LoadFromFile(ODlg.FileName);
end;

procedure TForm1.btnSaveClick(Sender: TObject);
begin
  if SDlg.execute then
    with Shortcut do
    begin
      Description := edtDescription.Text;
      Path := edtPath.Text;
      Arguments := edtArguments.Text;
      WorkingDirectory := edtWorkingDir.Text;
      SaveToFile(SDlg.FileName);
    end;
end;

procedure TForm1.ShortCutChanged(Sender: TObject);
begin
  with Shortcut do
  begin
    edtDescription.Text := Description;
    edtPath.Text := Path;
    edtArguments.Text := Arguments;
    edtWorkingDir.Text := WorkingDirectory;
    Caption := ExactFolder;
    imgIcon.Picture.Assign(Icon);
  end;
end;

procedure TForm1.FormCreate(Sender: TObject);
var
  Str : array[0..256] of char;
begin
  SHGetSpecialFolderPath(Application.Handle, @Str[0], CSIDL_DESKTOPDIRECTORY, false);
  ODlg.InitialDir := StrPas(@Str[0]);
  SDlg.InitialDir := StrPas(@Str[0]);
end;

end.
